<?php
$styling_tab   = esc_html__( 'Styling', 'brook' );
$effect_tab    = esc_html__( 'Effect', 'brook' );
$separator_tab = esc_html__( 'Separator', 'brook' );
$one_page_tab  = esc_html__( 'One Page', 'brook' );

vc_remove_param( 'vc_row', 'css' );
vc_remove_param( 'vc_row', 'gap' );
vc_remove_param( 'vc_row', 'parallax' );
vc_remove_param( 'vc_row', 'parallax_image' );
vc_remove_param( 'vc_row', 'parallax_speed_bg' );
vc_remove_param( 'vc_row', 'full_height' );
vc_remove_param( 'vc_row', 'columns_placement' );

vc_add_params( 'vc_row', array_merge( Brook_VC::get_vc_spacing_tab(), array(
	array(
		'heading'    => esc_html__( 'Height', 'brook' ),
		'type'       => 'dropdown',
		'param_name' => 'height',
		'value'      => array(
			esc_html__( 'Auto', 'brook' )                   => '',
			esc_html__( 'Full Height', 'brook' )            => 'full',
			esc_html__( 'Full Height Calculated', 'brook' ) => 'full-calc',
		),
		'std'        => '',
	),
	array(
		'heading'     => esc_html__( 'Decrease Fullscreen Height (Optional)', 'brook' ),
		'description' => esc_html__( 'Example: #header or .header, .footer, #somecontainer | Height of Row will be decreased with the height of these Containers to fit perfect in the screen.', 'brook' ),
		'type'        => 'textfield',
		'param_name'  => 'exclude_height',
		'dependency'  => array(
			'element' => 'height',
			'value'   => array( 'full', 'full-calc' ),
		),
	),
	array(
		'type'        => 'dropdown',
		'heading'     => __( 'Columns position', 'brook' ),
		'param_name'  => 'columns_placement',
		'value'       => array(
			esc_attr__( 'Middle', 'brook' )  => 'middle',
			esc_attr__( 'Top', 'brook' )     => 'top',
			esc_attr__( 'Bottom', 'brook' )  => 'bottom',
			esc_attr__( 'Stretch', 'brook' ) => 'stretch',
		),
		'description' => __( 'Select columns position within row.', 'brook' ),
		'dependency'  => array(
			'element'   => 'height',
			'not_empty' => true,
		),
	),
	array(
		'heading'     => esc_html__( 'Layer Index', 'brook' ),
		'description' => esc_html__( 'When content in row or row has negative margin then this controls layer ( z-index ) of row', 'brook' ),
		'type'        => 'number',
		'param_name'  => 'layer_index',
		'min'         => 0,
		'max'         => 100,
		'step'        => 1,
	),
	array(
		'heading'     => esc_html__( 'Gutter', 'brook' ),
		'type'        => 'number_responsive',
		'param_name'  => 'gutter',
		'min'         => 0,
		'max'         => 100,
		'step'        => 2,
		'suffix'      => 'px',
		'media_query' => array(
			'lg' => '',
			'md' => '',
			'sm' => '',
			'xs' => '',
		),
	),
	array(
		'heading'    => esc_html__( 'Column Separator', 'brook' ),
		'type'       => 'dropdown',
		'param_name' => 'column_separator',
		'value'      => array(
			esc_html__( 'None', 'brook' )     => '',
			esc_html__( 'Style 01', 'brook' ) => '01',
			esc_html__( 'Style 02', 'brook' ) => '02',

		),
		'std'        => '',
	),
	array(
		'group'       => $styling_tab,
		'heading'     => esc_html__( 'Border Radius', 'brook' ),
		'description' => esc_html__( 'For e.g: 5px or 50%', 'brook' ),
		'type'        => 'textfield',
		'param_name'  => 'border_radius',
	),
	array(
		'group'       => $styling_tab,
		'heading'     => esc_html__( 'Box Shadow', 'brook' ),
		'description' => esc_html__( 'For e.g: 0 20px 30px #ccc', 'brook' ),
		'type'        => 'textfield',
		'param_name'  => 'box_shadow',
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Background Color', 'brook' ),
		'type'       => 'dropdown',
		'param_name' => 'background_color',
		'value'      => array(
			esc_html__( 'None', 'brook' )            => '',
			esc_html__( 'Primary Color', 'brook' )   => 'primary',
			esc_html__( 'Secondary Color', 'brook' ) => 'secondary',
			esc_html__( 'Custom Color', 'brook' )    => 'custom',
			esc_html__( 'Gradient Color', 'brook' )  => 'gradient',
		),
		'std'        => '',
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Custom Background Color', 'brook' ),
		'type'       => 'colorpicker',
		'param_name' => 'custom_background_color',
		'dependency' => array(
			'element' => 'background_color',
			'value'   => array( 'custom' ),
		),
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Background Gradient', 'brook' ),
		'type'       => 'gradient',
		'param_name' => 'background_gradient',
		'dependency' => array(
			'element' => 'background_color',
			'value'   => array( 'gradient' ),
		),
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Background Image', 'brook' ),
		'type'       => 'attach_image',
		'param_name' => 'background_image',
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Hide Background Image', 'brook' ),
		'type'       => 'dropdown',
		'param_name' => 'hide_background_image',
		'value'      => array(
			esc_html__( 'Always show', 'brook' )             => '',
			esc_html__( 'Medium Device Down', 'brook' )      => 'md',
			esc_html__( 'Small Device Down', 'brook' )       => 'sm',
			esc_html__( 'Extra Small Device Down', 'brook' ) => 'xs',
		),
		'std'        => '',
		'dependency' => array(
			'element'   => 'background_image',
			'not_empty' => true,
		),
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Background Repeat', 'brook' ),
		'type'       => 'dropdown',
		'param_name' => 'background_repeat',
		'value'      => array(
			esc_html__( 'No repeat', 'brook' )         => 'no-repeat',
			esc_html__( 'Tile', 'brook' )              => 'repeat',
			esc_html__( 'Tile Horizontally', 'brook' ) => 'repeat-x',
			esc_html__( 'Tile Vertically', 'brook' )   => 'repeat-y',
		),
		'std'        => 'no-repeat',
		'dependency' => array(
			'element'   => 'background_image',
			'not_empty' => true,
		),
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Background Size', 'brook' ),
		'type'       => 'dropdown',
		'param_name' => 'background_size',
		'value'      => array(
			esc_html__( 'Auto', 'brook' )    => 'auto',
			esc_html__( 'Cover', 'brook' )   => 'cover',
			esc_html__( 'Contain', 'brook' ) => 'contain',
			esc_html__( 'Manual', 'brook' )  => 'manual',
		),
		'std'        => 'cover',
		'dependency' => array(
			'element'   => 'background_image',
			'not_empty' => true,
		),
	),
	array(
		'group'       => $styling_tab,
		'heading'     => esc_html__( 'Background Size (Manual Setting)', 'brook' ),
		'description' => esc_html__( 'For e.g: 50% 100%', 'brook' ),
		'type'        => 'textfield',
		'param_name'  => 'background_size_manual',
		'dependency'  => array(
			'element' => 'background_size',
			'value'   => 'manual',
		),
	),
	array(
		'group'       => $styling_tab,
		'heading'     => esc_html__( 'Background Position', 'brook' ),
		'description' => esc_html__( 'For e.g: left center', 'brook' ),
		'type'        => 'textfield',
		'param_name'  => 'background_position',
		'dependency'  => array(
			'element'   => 'background_image',
			'not_empty' => true,
		),
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Scroll Effect', 'brook' ),
		'type'       => 'dropdown',
		'param_name' => 'background_attachment',
		'value'      => array(
			esc_html__( 'Move with the content', 'brook' ) => 'scroll',
			esc_html__( 'Fixed at its position', 'brook' ) => 'fixed',
			esc_html__( 'Marque', 'brook' )                => 'marque',
		),
		'std'        => 'scroll',
		'dependency' => array(
			'element'   => 'background_image',
			'not_empty' => true,
		),
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Marque Direction', 'brook' ),
		'type'       => 'dropdown',
		'param_name' => 'marque_direction',
		'value'      => array(
			esc_html__( 'To Left', 'brook' )  => 'to-left',
			esc_html__( 'To Right', 'brook' ) => 'to-right',
		),
		'std'        => 'to-right',
		'dependency' => array(
			'element' => 'background_attachment',
			'value'   => 'marque',
		),
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Marque Pause On Hover.', 'brook' ),
		'type'       => 'checkbox',
		'param_name' => 'marque_pause_on_hover',
		'value'      => array(
			esc_html__( 'Yes', 'brook' ) => '1',
		),
		'dependency' => array(
			'element' => 'background_attachment',
			'value'   => 'marque',
		),
	),
	array(
		'group'       => $styling_tab,
		'heading'     => esc_html__( 'Background Overlay', 'brook' ),
		'description' => esc_html__( 'Choose an overlay background color.', 'brook' ),
		'type'        => 'dropdown',
		'param_name'  => 'overlay_background',
		'value'       => array(
			esc_html__( 'None', 'brook' )            => '',
			esc_html__( 'Primary Color', 'brook' )   => 'primary',
			esc_html__( 'Secondary Color', 'brook' ) => 'secondary',
			esc_html__( 'Gradient Color', 'brook' )  => 'gradient',
			esc_html__( 'Custom Color', 'brook' )    => 'custom',
		),
	),
	array(
		'group'       => $styling_tab,
		'heading'     => esc_html__( 'Custom Background Overlay', 'brook' ),
		'description' => esc_html__( 'Choose an custom background color overlay.', 'brook' ),
		'type'        => 'colorpicker',
		'param_name'  => 'overlay_custom_background',
		'std'         => '#000000',
		'dependency'  => array(
			'element' => 'overlay_background',
			'value'   => array( 'custom' ),
		),
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Background Gradient Overlay', 'brook' ),
		'type'       => 'gradient',
		'param_name' => 'overlay_gradient_background',
		'dependency' => array(
			'element' => 'overlay_background',
			'value'   => array( 'gradient' ),
		),
	),
	array(
		'group'      => $styling_tab,
		'heading'    => esc_html__( 'Opacity', 'brook' ),
		'type'       => 'number',
		'param_name' => 'overlay_opacity',
		'value'      => 100,
		'min'        => 0,
		'max'        => 100,
		'step'       => 1,
		'suffix'     => '%',
		'std'        => 80,
		'dependency' => array(
			'element'   => 'overlay_background',
			'not_empty' => true,
		),
	),
	array(
		'group'      => $effect_tab,
		'heading'    => esc_html__( 'Row Effect', 'brook' ),
		'type'       => 'dropdown',
		'param_name' => 'effect',
		'value'      => array(
			esc_html__( 'None', 'brook' )          => '',
			esc_html__( 'Firefly', 'brook' )       => 'firefly',
			esc_html__( 'Wavify', 'brook' )        => 'wavify',
			esc_html__( 'Constellation', 'brook' ) => 'constellation',
		),
		'std'        => '',
	),
	array(
		'group'            => $effect_tab,
		'heading'          => esc_html__( 'Constellation Star Color', 'brook' ),
		'type'             => 'colorpicker',
		'param_name'       => 'constellation_star_color',
		'dependency'       => array(
			'element' => 'effect',
			'value'   => array( 'constellation' ),
		),
		'std'              => 'rgba(255, 255, 255, 0.5)',
		'edit_field_class' => 'vc_col-sm-6',
	),
	array(
		'group'            => $effect_tab,
		'heading'          => esc_html__( 'Constellation Line Color', 'brook' ),
		'type'             => 'colorpicker',
		'param_name'       => 'constellation_line_color',
		'dependency'       => array(
			'element' => 'effect',
			'value'   => array( 'constellation' ),
		),
		'std'              => 'rgba(255, 255, 255, 0.5)',
		'edit_field_class' => 'vc_col-sm-6',
	),
	array(
		'group'       => $effect_tab,
		'heading'     => esc_html__( 'Wavify Height', 'brook' ),
		'type'        => 'number_responsive',
		'param_name'  => 'wavify_height',
		'step'        => 1,
		'suffix'      => 'px',
		'media_query' => array(
			'lg' => 400,
			'md' => '',
			'sm' => '',
			'xs' => '',
		),
		'dependency'  => array(
			'element' => 'effect',
			'value'   => array( 'wavify' ),
		),
	),
	array(
		'group'      => $effect_tab,
		'heading'    => esc_html__( 'Wavify Items', 'brook' ),
		'type'       => 'param_group',
		'param_name' => 'wavify_items',
		'params'     => array_merge( array(
			array(
				'heading'     => esc_html__( 'Height', 'brook' ),
				'type'        => 'textfield',
				'param_name'  => 'height',
				'admin_label' => true,
				'value'       => 400,
				'min'         => 0,
				'max'         => 1000,
				'step'        => 10,
				'std'         => 400,
				'suffix'      => 'px',
			),
			array(
				'heading'    => esc_html__( 'Amplitude', 'brook' ),
				'type'       => 'number',
				'param_name' => 'amplitude',
				'value'      => 200,
				'min'        => 0,
				'max'        => 1000,
				'step'       => 10,
				'std'        => 200,
				'suffix'     => 'px',
			),
			array(
				'heading'    => esc_html__( 'Bones', 'brook' ),
				'type'       => 'number',
				'param_name' => 'bones',
				'value'      => 4,
				'min'        => 0,
				'max'        => 10,
				'step'       => 1,
				'std'        => 4,
			),
			array(
				'heading'    => esc_html__( 'Background', 'brook' ),
				'type'       => 'colorpicker',
				'param_name' => 'background',
			),
		) ),
		'dependency' => array(
			'element' => 'effect',
			'value'   => array( 'wavify' ),
		),
	),
	array(
		'group'            => $effect_tab,
		'heading'          => esc_html__( 'Firefly Color', 'brook' ),
		'type'             => 'colorpicker',
		'param_name'       => 'firefly_color',
		'dependency'       => array(
			'element' => 'effect',
			'value'   => array( 'firefly' ),
		),
		'std'              => '#fff',
		'edit_field_class' => 'vc_col-sm-3',
	),
	array(
		'group'            => $effect_tab,
		'heading'          => esc_html__( 'Firely Total', 'brook' ),
		'type'             => 'number',
		'param_name'       => 'firefly_total',
		'value'            => 100,
		'min'              => 0,
		'max'              => 100,
		'step'             => 1,
		'suffix'           => 'items',
		'std'              => 30,
		'dependency'       => array(
			'element' => 'effect',
			'value'   => array( 'firefly' ),
		),
		'edit_field_class' => 'vc_col-sm-3',
	),
	array(
		'group'            => $effect_tab,
		'heading'          => esc_html__( 'Firely Min Width', 'brook' ),
		'type'             => 'number',
		'param_name'       => 'firefly_min_size',
		'value'            => 100,
		'min'              => 0,
		'max'              => 100,
		'step'             => 1,
		'suffix'           => 'px',
		'std'              => 1,
		'dependency'       => array(
			'element' => 'effect',
			'value'   => array( 'firefly' ),
		),
		'edit_field_class' => 'vc_col-sm-3',
	),
	array(
		'group'            => $effect_tab,
		'heading'          => esc_html__( 'Firely Max Width', 'brook' ),
		'type'             => 'number',
		'param_name'       => 'firefly_max_size',
		'value'            => 100,
		'min'              => 0,
		'max'              => 100,
		'step'             => 1,
		'suffix'           => 'px',
		'std'              => 3,
		'dependency'       => array(
			'element' => 'effect',
			'value'   => array( 'firefly' ),
		),
		'edit_field_class' => 'vc_col-sm-3',
	),
	array(
		'group'      => $separator_tab,
		'heading'    => esc_html__( 'Type', 'brook' ),
		'type'       => 'dropdown',
		'param_name' => 'separator_type',
		'value'      => array(
			esc_html__( 'None', 'brook' )               => '',
			esc_html__( 'Circle', 'brook' )             => 'circle',
			esc_html__( 'Curve', 'brook' )              => 'curve',
			esc_html__( 'Clouds', 'brook' )             => 'clouds',
			esc_html__( 'Waves', 'brook' )              => 'waves',
			esc_html__( 'Square', 'brook' )             => 'square',
			esc_html__( 'Tilt Left', 'brook' )          => 'tilt_left',
			esc_html__( 'Tilt Right', 'brook' )         => 'tilt_right',
			esc_html__( 'Triangle', 'brook' )           => 'triangle',
			esc_html__( 'Big Triangle', 'brook' )       => 'big_triangle',
			esc_html__( 'Big Triangle Alt', 'brook' )   => 'big_triangle_alt',
			esc_html__( 'Big Triangle Left', 'brook' )  => 'big_triangle_left',
			esc_html__( 'Big Triangle Right', 'brook' ) => 'big_triangle_right',
		),
		'std'        => '',
	),
	array(
		'group'       => $separator_tab,
		'heading'     => esc_html__( 'Height', 'brook' ),
		'type'        => 'number_responsive',
		'param_name'  => 'separator_height',
		'step'        => 1,
		'suffix'      => 'px',
		'media_query' => array(
			'lg' => 100,
			'md' => '',
			'sm' => '',
			'xs' => '',
		),
		'dependency'  => array(
			'element'   => 'separator_type',
			'not_empty' => true,
		),
	),
	array(
		'group'      => $separator_tab,
		'heading'    => esc_html__( 'Position', 'brook' ),
		'type'       => 'dropdown',
		'param_name' => 'separator_position',
		'value'      => array(
			esc_html__( 'Top', 'brook' )    => 'top',
			esc_html__( 'Bottom', 'brook' ) => 'bottom',
		),
		'std'        => 'bottom',
		'dependency' => array(
			'element'   => 'separator_type',
			'not_empty' => true,
		),
	),
	array(
		'group'      => $separator_tab,
		'heading'    => esc_html__( 'Separator Color', 'brook' ),
		'type'       => 'dropdown',
		'param_name' => 'separator_color',
		'value'      => array(
			esc_html__( 'Primary Color', 'brook' ) => 'primary',
			esc_html__( 'Custom Color', 'brook' )  => 'custom',
		),
		'std'        => 'custom',
		'dependency' => array(
			'element'   => 'separator_type',
			'not_empty' => true,
		),
	),
	array(
		'group'      => $separator_tab,
		'heading'    => esc_html__( 'Custom Separator Color', 'brook' ),
		'type'       => 'colorpicker',
		'param_name' => 'custom_separator_color',
		'dependency' => array(
			'element' => 'separator_color',
			'value'   => array( 'custom' ),
		),
		'std'        => '#fff',
	),
	array(
		'group'       => $one_page_tab,
		'heading'     => esc_html__( 'Skin', 'brook' ),
		'description' => esc_html__( 'Controls the skin of pagination when view this section.', 'brook' ),
		'type'        => 'dropdown',
		'param_name'  => 'onepage_skin',
		'value'       => array(
			esc_html__( 'Dark', 'brook' )  => 'dark',
			esc_html__( 'Light', 'brook' ) => 'light',
		),
		'std'         => 'dark',
	),
	array(
		'group'       => $one_page_tab,
		'heading'     => esc_html__( 'Logo Skin', 'brook' ),
		'description' => esc_html__( 'Controls the skin of logo when view this section.', 'brook' ),
		'type'        => 'dropdown',
		'param_name'  => 'onepage_logo_skin',
		'value'       => array(
			esc_html__( 'Default By Skin', 'brook' ) => '',
			esc_html__( 'Dark', 'brook' )            => 'dark',
			esc_html__( 'Light', 'brook' )           => 'light',
		),
		'std'         => '',
	),
	array(
		'group'       => $one_page_tab,
		'heading'     => esc_html__( 'Title', 'brook' ),
		'description' => esc_html__( 'Controls the text of this section.', 'brook' ),
		'type'        => 'textfield',
		'param_name'  => 'onepage_title',
	),
	array(
		'group'       => $one_page_tab,
		'heading'     => esc_html__( 'Anchor', 'brook' ),
		'description' => esc_html__( 'Add the unique anchor name. The anchor can used for anchor navigation in menu.', 'brook' ),
		'type'        => 'textfield',
		'param_name'  => 'onepage_anchor',
	),
	array(
		'group'       => esc_html__( 'Scrolling Effect', 'brook' ),
		'heading'     => esc_html__( 'Background Color', 'brook' ),
		'description' => esc_html__( 'Choose background color for site when scrolling to this row.', 'brook' ),
		'type'        => 'colorpicker',
		'param_name'  => 'scrolling_color',
		'std'         => '',
	),
) ) );
